> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate text with context awareness

## Description

Translate text with context awareness using advanced AI translation services that understand the context and meaning of the content.


## OpenAPI

````yaml post /v1/translate/translate-text-with-context
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/translate/translate-text-with-context:
    post:
      tags:
        - Text to Text Translation with Context
      summary: Translate text with context awareness
      operationId: >-
        translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: >-
                  Response Translate Text With Context Endpoint V1 Translate
                  Translate Text With Context Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post:
      properties:
        text:
          type: string
          title: Text
        context:
          type: string
          title: Context
        source_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Language
        target_language:
          type: string
          title: Target Language
          default: en-US
      type: object
      required:
        - text
        - context
      title: >-
        Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````